com.amarula.barcodescanner.sdk

## Class BarcodeScannerSymbologyTable.HwLabelHsm

- java.lang.Object
- - com.amarula.barcodescanner.sdk.BarcodeScannerSymbologyTable.HwLabelHsm

- Enclosing class:
    BarcodeScannerSymbologyTable

      public final class BarcodeScannerSymbologyTable.HwLabelHsm
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `HSM_AUSTRALIAN_POST`
    `static java.lang.String` | `HSM_AZTEC`
    `static java.lang.String` | `HSM_BRITISH_POST`
    `static java.lang.String` | `HSM_CANADIAN_POST`
    `static java.lang.String` | `HSM_CHINA_POST`
    `static java.lang.String` | `HSM_CODABAR`
    `static java.lang.String` | `HSM_CODABLOCK`
    `static java.lang.String` | `HSM_CODE11`
    `static java.lang.String` | `HSM_CODE128`
    `static java.lang.String` | `HSM_CODE16K`
    `static java.lang.String` | `HSM_CODE32`
    `static java.lang.String` | `HSM_CODE39`
    `static java.lang.String` | `HSM_CODE49`
    `static java.lang.String` | `HSM_CODE93`
    `static java.lang.String` | `HSM_COUPON`
    `static java.lang.String` | `HSM_DATAMATRIX`
    `static java.lang.String` | `HSM_DUTCH_POST`
    `static java.lang.String` | `HSM_EAN128`
    `static java.lang.String` | `HSM_EAN13`
    `static java.lang.String` | `HSM_EAN8`
    `static java.lang.String` | `HSM_GRIDMATRIX`
    `static java.lang.String` | `HSM_GS1_128`
    `static java.lang.String` | `HSM_GS1DATABAR`
    `static java.lang.String` | `HSM_HANXIN`
    `static java.lang.String` | `HSM_IATA25`
    `static java.lang.String` | `HSM_IDTAG`
    `static java.lang.String` | `HSM_INTERLEAVED2OF5`
    `static java.lang.String` | `HSM_JAPANESE_POST`
    `static java.lang.String` | `HSM_KOREA_POST`
    `static java.lang.String` | `HSM_LABELIV`
    `static java.lang.String` | `HSM_LABELV`
    `static java.lang.String` | `HSM_MATRIX2OF5`
    `static java.lang.String` | `HSM_MAXICODE`
    `static java.lang.String` | `HSM_MICROPDF`
    `static java.lang.String` | `HSM_MSI`
    `static java.lang.String` | `HSM_OCR`
    `static java.lang.String` | `HSM_PDF417`
    `static java.lang.String` | `HSM_PLANET_CODE`
    `static java.lang.String` | `HSM_PLESSEY`
    `static java.lang.String` | `HSM_POSICODE`
    `static java.lang.String` | `HSM_POSTNET`
    `static java.lang.String` | `HSM_QR`
    `static java.lang.String` | `HSM_STRAIGHT2OF5`
    `static java.lang.String` | `HSM_TELEPHEN`
    `static java.lang.String` | `HSM_TLC39`
    `static java.lang.String` | `HSM_TRIOPTIC`
    `static java.lang.String` | `HSM_UPCA`
    `static java.lang.String` | `HSM_UPCE`
    `static java.lang.String` | `HSM_USPS4CB`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HwLabelHsm()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HSM_AZTEC

          public static final java.lang.String HSM_AZTEC

      See Also:
        Constant Field Values

    - #### HSM_CODABAR

          public static final java.lang.String HSM_CODABAR

      See Also:
        Constant Field Values

    - #### HSM_CODE11

          public static final java.lang.String HSM_CODE11

      See Also:
        Constant Field Values

    - #### HSM_CODE128

          public static final java.lang.String HSM_CODE128

      See Also:
        Constant Field Values

    - #### HSM_CODE39

          public static final java.lang.String HSM_CODE39

      See Also:
        Constant Field Values

    - #### HSM_CODE49

          public static final java.lang.String HSM_CODE49

      See Also:
        Constant Field Values

    - #### HSM_CODE93

          public static final java.lang.String HSM_CODE93

      See Also:
        Constant Field Values

    - #### HSM_DATAMATRIX

          public static final java.lang.String HSM_DATAMATRIX

      See Also:
        Constant Field Values

    - #### HSM_EAN8

          public static final java.lang.String HSM_EAN8

      See Also:
        Constant Field Values

    - #### HSM_EAN13

          public static final java.lang.String HSM_EAN13

      See Also:
        Constant Field Values

    - #### HSM_EAN128

          public static final java.lang.String HSM_EAN128

      See Also:
        Constant Field Values

    - #### HSM_INTERLEAVED2OF5

          public static final java.lang.String HSM_INTERLEAVED2OF5

      See Also:
        Constant Field Values

    - #### HSM_MAXICODE

          public static final java.lang.String HSM_MAXICODE

      See Also:
        Constant Field Values

    - #### HSM_MICROPDF

          public static final java.lang.String HSM_MICROPDF

      See Also:
        Constant Field Values

    - #### HSM_PDF417

          public static final java.lang.String HSM_PDF417

      See Also:
        Constant Field Values

    - #### HSM_POSTNET

          public static final java.lang.String HSM_POSTNET

      See Also:
        Constant Field Values

    - #### HSM_OCR

          public static final java.lang.String HSM_OCR

      See Also:
        Constant Field Values

    - #### HSM_QR

          public static final java.lang.String HSM_QR

      See Also:
        Constant Field Values

    - #### HSM_GS1DATABAR

          public static final java.lang.String HSM_GS1DATABAR

      See Also:
        Constant Field Values

    - #### HSM_UPCA

          public static final java.lang.String HSM_UPCA

      See Also:
        Constant Field Values

    - #### HSM_UPCE

          public static final java.lang.String HSM_UPCE

      See Also:
        Constant Field Values

    - #### HSM_BRITISH_POST

          public static final java.lang.String HSM_BRITISH_POST

      See Also:
        Constant Field Values

    - #### HSM_CANADIAN_POST

          public static final java.lang.String HSM_CANADIAN_POST

      See Also:
        Constant Field Values

    - #### HSM_AUSTRALIAN_POST

          public static final java.lang.String HSM_AUSTRALIAN_POST

      See Also:
        Constant Field Values

    - #### HSM_IATA25

          public static final java.lang.String HSM_IATA25

      See Also:
        Constant Field Values

    - #### HSM_CODABLOCK

          public static final java.lang.String HSM_CODABLOCK

      See Also:
        Constant Field Values

    - #### HSM_JAPANESE_POST

          public static final java.lang.String HSM_JAPANESE_POST

      See Also:
        Constant Field Values

    - #### HSM_PLANET_CODE

          public static final java.lang.String HSM_PLANET_CODE

      See Also:
        Constant Field Values

    - #### HSM_DUTCH_POST

          public static final java.lang.String HSM_DUTCH_POST

      See Also:
        Constant Field Values

    - #### HSM_MSI

          public static final java.lang.String HSM_MSI

      See Also:
        Constant Field Values

    - #### HSM_TLC39

          public static final java.lang.String HSM_TLC39

      See Also:
        Constant Field Values

    - #### HSM_TRIOPTIC

          public static final java.lang.String HSM_TRIOPTIC

      See Also:
        Constant Field Values

    - #### HSM_CODE32

          public static final java.lang.String HSM_CODE32

      See Also:
        Constant Field Values

    - #### HSM_STRAIGHT2OF5

          public static final java.lang.String HSM_STRAIGHT2OF5

      See Also:
        Constant Field Values

    - #### HSM_MATRIX2OF5

          public static final java.lang.String HSM_MATRIX2OF5

      See Also:
        Constant Field Values

    - #### HSM_PLESSEY

          public static final java.lang.String HSM_PLESSEY

      See Also:
        Constant Field Values

    - #### HSM_CHINA_POST

          public static final java.lang.String HSM_CHINA_POST

      See Also:
        Constant Field Values

    - #### HSM_KOREA_POST

          public static final java.lang.String HSM_KOREA_POST

      See Also:
        Constant Field Values

    - #### HSM_TELEPHEN

          public static final java.lang.String HSM_TELEPHEN

      See Also:
        Constant Field Values

    - #### HSM_CODE16K

          public static final java.lang.String HSM_CODE16K

      See Also:
        Constant Field Values

    - #### HSM_POSICODE

          public static final java.lang.String HSM_POSICODE

      See Also:
        Constant Field Values

    - #### HSM_COUPON

          public static final java.lang.String HSM_COUPON

      See Also:
        Constant Field Values

    - #### HSM_USPS4CB

          public static final java.lang.String HSM_USPS4CB

      See Also:
        Constant Field Values

    - #### HSM_IDTAG

          public static final java.lang.String HSM_IDTAG

      See Also:
        Constant Field Values

    - #### HSM_LABELIV

          public static final java.lang.String HSM_LABELIV

      See Also:
        Constant Field Values

    - #### HSM_LABELV

          public static final java.lang.String HSM_LABELV

      See Also:
        Constant Field Values

    - #### HSM_GS1_128

          public static final java.lang.String HSM_GS1_128

      See Also:
        Constant Field Values

    - #### HSM_HANXIN

          public static final java.lang.String HSM_HANXIN

      See Also:
        Constant Field Values

    - #### HSM_GRIDMATRIX

          public static final java.lang.String HSM_GRIDMATRIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HwLabelHsm

          public HwLabelHsm()